/*
 * for check routine
 */

#include <stdio.h>
#include <fcntl.h>

extern int debug;

void
dump_to_file(char *filename, char *image, int size)
{
  int fd;

  if ( (fd = open(filename, (O_WRONLY|O_CREAT|O_TRUNC), 0644)) < 0 ) {
    fprintf(stderr, "dump_to_file: cannot open %s:", filename);
    perror("open");
  }
  write(fd, image, size);
  close(fd);

  if (debug)
    fprintf(stderr, "dump_to_file: imagePtr# %x\n", image);
}
